package com.doc.biz.service;

import com.doc.biz.domain.DocInfo;

/**
 * ES操作接口
 *
 * @author wukai
 * @date 2023-08-15
 */
public interface IElasticSearchService {
    /**
     * 文件内容入es库
     *
     * @param info 文档信息
     */
    void save(DocInfo info);

    /**
     * 通过ID删除ES内容
     *
     * @param info 文档信息
     */
    void delete(DocInfo info);
}
